Bug 210971 - deskutils/gnome-contacts:Fails to build with Synth on FreeBSD 10.3-RELEASE (amd64)
Summary: deskutils/gnome-contacts:Fails to build with Synth on FreeBSD 10.3-RELEASE (a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: needs-qa
Depends on: 212212
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-10 15:35 UTC by lumiwa
Modified: 2016-09-02 15:50 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
svn-diff_Makefile_gnome_contacts (1.22 KB, patch)
2016-08-10 18:01 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_Makefile_gnome_contacts_new (1.35 KB, patch)
2016-08-10 23:04 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff_Makefile_gnome_contacts_new (1.86 KB, patch)
2016-08-10 23:08 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lumiwa 2016-07-10 15:35:21 UTC
Hi!

My system is FreeBSD 10.3-RELEASE (amd64) and I start to build ports
with Synth and I got one problem which I don't know how to save:


=> Building deskutils/gnome-contacts
Started : Saturday, 9 JUL 2016 at 19:45:18 UTC
Platform: 10.3-RELEASE-p4 FreeBSD 10.3-RELEASE-p4 #0: Sat May 28
12:23:44 UTC 2016     root@amd64-builder.daemonology.net:/usr/obj/usr/s
rc/sys/GENERIC  amd64

[ Environment HEAD ]
UNAME_r=10.3-SYNTH
UNAME_m=amd64
UNAME_p=amd64
UNAME_v=FreeBSD 10.3-SYNTH
UNAME_s=FreeBSD
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
TERM=dumb
LANG=C
HOME=/root
USER=root
[ Environment TAIL ]

[ Options HEAD ]
===> The following configuration options are available for gnome-
contacts-3.18.0:
     CHEESE=on: Cheese webcam support
     MANPAGES=on: Build and/or install manual pages
===> Use 'make config' to modify these settings
[ Options TAIL ]

[ CONFIGURE_ENV HEAD ]
MAKE=gmake
ac_cv_path_PERL=/usr/local/bin/perl
ac_cv_path_PERL_PATH=/usr/local/bin/perl
PKG_CONFIG=pkgconf
XDG_DATA_HOME=/construction/xports/deskutils/gnome-contacts/work
XDG_CONFIG_HOME=/construction/xports/deskutils/gnome-contacts/work
HOME=/construction/xports/deskutils/gnome-contacts/work
TMPDIR="/tmp"
SHELL=/bin/sh
CONFIG_SHELL=/bin/sh
CONFIG_SITE=/xports/Templates/config.site
lt_cv_sys_max_cmd_len=262144
[ CONFIGURE_ENV TAIL ]

[ CONFIGURE_ARGS HEAD ]
--with-cheese
--enable-man-pages
--prefix=/usr/local
${_LATE_CONFIGURE_ARGS}
[ CONFIGURE_ARGS TAIL ]

[ MAKE_ENV HEAD ]
XDG_CACHE_HOME=/construction/xports/deskutils/gnome-contacts/work
GI_SCANNER_DISABLE_CACHE=1
XDG_CACHE_HOME=/construction/xports/deskutils/gnome-contacts/work
XDG_DATA_HOME=/construction/xports/deskutils/gnome-contacts/work
XDG_CONFIG_HOME=/construction/xports/deskutils/gnome-contacts/work
HOME=/construction/xports/deskutils/gnome-contacts/work
TMPDIR="/tmp"
NO_PIE=yes
WITHOUT_DEBUG_FILES=yes
WITHOUT_KERNEL_SYMBOLS=yes
SHELL=/bin/sh
NO_LINT=YES
PREFIX=/usr/local
LOCALBASE=/usr/local
LIBDIR="/usr/lib"
CC="cc"
CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"
CPP="cpp"
CPPFLAGS="-I/usr/local/include"
LDFLAGS=" -L/usr/local/lib -fstack-protector"
LIBS=""
CXX="c++"
CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "
MANPREFIX="/usr/local"
BSD_INSTALL_PROGRAM="install  -s -m 555"
BSD_INSTALL_LIB="install  -s -m 444"
BSD_INSTALL_SCRIPT="install  -m 555"
BSD_INSTALL_DATA="install  -m 0644"
BSD_INSTALL_MAN="install  -m 444"
[ MAKE_ENV TAIL ]

=======================================================================
====

========================< phase :
configure       >========================
===>  Configuring for gnome-contacts-3.18.0
===>   FreeBSD 10 autotools fix applied to
/construction/xports/deskutils/gnome-contacts/work/gnome-contacts-
3.18.0/config.rpath
configure: loading site script /xports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether UID '0' is supported by ustar format... yes
checking whether GID '0' is supported by ustar format... yes
checking how to create a ustar tar archive... (cached) /usr/bin/tar
checking whether gmake supports nested variables... (cached) yes
checking build system type... amd64-portbld-freebsd10.3
checking host system type... amd64-portbld-freebsd10.3
checking how to print strings... printf
checking for style of include used by gmake... GNU
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking dependency style of cc... gcc3
checking for a sed that does not truncate output... (cached)
/usr/bin/sed
checking for grep that handles long lines and -e... (cached)
/usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for fgrep... (cached) /usr/bin/fgrep
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached)
262144
checking how to convert amd64-portbld-freebsd10.3 file names to amd64-
portbld-freebsd10.3 format... func_convert_file_noop
checking how to convert amd64-portbld-freebsd10.3 file names to
toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... no
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... cpp
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for dlfcn.h... (cached) yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... yes
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared
libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... freebsd10.3 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) yes
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ISO C89... (cached) none needed
checking whether cc understands -c and -o together... (cached) yes
checking dependency style of cc... (cached) gcc3
checking for valac... /usr/local/bin/valac
checking whether /usr/local/bin/valac is at least version 0.24.0... yes
checking pkg-config is at least version 0.16... yes
checking whether NLS is requested... yes
checking for intltool >= 0.40... 0.51.0 found
checking for intltool-update... /usr/local/bin/intltool-update
checking for intltool-merge... /usr/local/bin/intltool-merge
checking for intltool-extract... /usr/local/bin/intltool-extract
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for perl... /usr/local/bin/perl
checking for perl >= 5.8.1... 5.20.3
checking for XML::Parser... ok
checking for msgfmt... (cached) /usr/local/bin/msgfmt
checking for gmsgfmt... (cached) /usr/local/bin/msgfmt
checking for xgettext... (cached) /usr/local/bin/xgettext
checking for msgmerge... (cached) /usr/local/bin/msgmerge
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... no
checking for iconv... yes
checking for working iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-
rpath -Wl,/usr/local/lib
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so -Wl,-
rpath -Wl,/usr/local/lib
checking for CONTACTS... no
configure: error: Package requirements (gtk+-3.0 >= 3.16.0
             glib-2.0 >= 2.37.6
             gmodule-export-2.0
             gnome-desktop-3.0
             folks >= 0.9.5
             folks-telepathy
             folks-eds
             libnotify
             telepathy-glib >= 0.17.5
             libebook-1.2 >= 3.13.90
             libedataserver-1.2 >= 3.13.90
             libedataserverui-1.2 >= 3.13.90
             goa-1.0
             gee-0.8
             champlain-0.12
             clutter-gtk-1.0
             geocode-glib-1.0 >= 3.15.3
             ) were not met:

Package geocode-glib-1.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `geocode-glib-1.0.pc'
to the PKG_CONFIG_PATH environment variable
Package 'geocode-glib-1.0', required by 'world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CONTACTS_CFLAGS
and CONTACTS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to gnome@FreeBSD.org [maintainer] and attach
the
"/construction/xports/deskutils/gnome-contacts/work/gnome-contacts-
3.18.0/config.log"
including the output of the failure of your make command. Also, it
might be
a good idea to provide an overview of all packages installed on your
system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /xports/deskutils/gnome-contacts
=======================================================================
====

Finished: Saturday, 9 JUL 2016 at 19:46:09 UTC
Duration: 00:00:51geocode-glib-1.0', required by 'world', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CONTACTS_CFLAGS
and CONTACTS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to gnome@FreeBSD.org [maintainer] and attach
the
"/construction/xports/deskutils/gnome-contacts/work/gnome-contacts-
3.18.0/config.log"
including the output of the failure of your make command. Also, it
might be
a good idea to provide an overview of all packages installed on your
system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /xports/deskutils/gnome-contacts
=======================================================================
====

Finished: Saturday, 9 JUL 2016 at 19:46:09 UTC
Duration: 00:00:51

Thank you.

SK
Comment 1 lumiwa 2016-08-09 23:53:27 UTC
I have the problem still. My ports are updated and everything is rebuilt and reinstalled but gnome-contacts fail building with Synth. Building with make is not a problem. Is Synth a problem or is something else, please?

Thank you.
Comment 2 Walter Schwarzenfeld freebsd_triage 2016-08-10 01:05:19 UTC
Fails with the same errors also in the port.
Comment 3 Walter Schwarzenfeld freebsd_triage 2016-08-10 17:09:32 UTC
I only try it in the port.
THe point is here:
=> Package 'geocode-glib-1.0', required by 'world', not found.
(The rest of the error-message is only puzzling).

I added libgeocode-glib.so:net/geocode-glib to LIB_DEPENDS in the gnome-contacts Makefile and it compiled, installed and started.
Comment 4 Walter Schwarzenfeld freebsd_triage 2016-08-10 17:41:00 UTC
I forgot, you have to compile it with CHEESE on. Without it fails (missing cheese-widget).
Comment 5 Walter Schwarzenfeld freebsd_triage 2016-08-10 18:01:46 UTC
Created attachment 173518 [details]
svn-diff_Makefile_gnome_contacts
Comment 6 Walter Schwarzenfeld freebsd_triage 2016-08-10 18:02:52 UTC
Here svn-diff. Added a lot of USES and LIB_DEPENDS stage-qa suggested, I hope this is right.
Comment 7 Walter Schwarzenfeld freebsd_triage 2016-08-10 23:04:16 UTC
Created attachment 173527 [details]
svn-diff_Makefile_gnome_contacts_new

I had to make little  changes for poudriere (test build 103amd64 ok).
Add Portrevision and NLS knob.
Comment 8 Walter Schwarzenfeld freebsd_triage 2016-08-10 23:08:09 UTC
Created attachment 173528 [details]
svn-diff_Makefile_gnome_contacts_new
Comment 9 lumiwa 2016-08-13 23:22:02 UTC
(In reply to w.schwarzenfeld from comment #8)
Thank you very much. It works.
Comment 10 lumiwa 2016-08-14 11:38:03 UTC
It is the other problem now. It is build without problem but Tweak Tool doesn't start. Maybe is something more wron but I didn't found yet.

Thank you.
Comment 11 Walter Schwarzenfeld freebsd_triage 2016-08-14 13:33:37 UTC
I can't help you. I don't work with gnome. I only got it to install. But is gnome-tweak-tool not a separate tool? If it is so, it will be a separate PR.
Comment 12 lumiwa 2016-08-14 19:27:51 UTC
(In reply to w.schwarzenfeld from comment #11)
I am sorry to complain. I just upgrade all ports from Synth and it works everything as before. Thank you for your help with building gnome-contacts.
Comment 13 Walter Schwarzenfeld freebsd_triage 2016-08-24 08:58:57 UTC
Maintainer timeout ?
Comment 14 Kurt Jaeger freebsd_committer 2016-08-25 03:26:43 UTC
testbuilds@work
Comment 15 Kurt Jaeger freebsd_committer 2016-08-28 14:38:28 UTC
It builds on 12a and 11a, fails on 10i and 93a because llvm37 cant be build. Now what ?
Comment 16 Walter Schwarzenfeld freebsd_triage 2016-08-28 15:57:41 UTC
Sorry, I have build.logs for 103i386 and 93amd64 with poudriere (from 11.August) and builds ok.
Comment 17 Walter Schwarzenfeld freebsd_triage 2016-08-28 19:55:25 UTC
llvm37 build fine on 103i386 if the option GOLD is set to off.
(Brooks has disabled this option for i386 on llvm38 and llvm39, maybe, he overlooked llvm37 - I have sent him a mail).

For 93amd64:
There is a PR 212212.
Comment 18 Kurt Jaeger freebsd_committer 2016-08-28 20:04:50 UTC
Thanks, I had GOLD on for llvm37. Testing right now.
Comment 19 Walter Schwarzenfeld freebsd_triage 2016-09-01 09:56:15 UTC
llvm/binutils problem solved. Should now work.
Comment 20 Kurt Jaeger freebsd_committer 2016-09-01 10:08:03 UTC
testbuilds@work
Comment 21 Kurt Jaeger freebsd_committer 2016-09-02 04:23:13 UTC
testbuilds are fine.
Comment 22 commit-hook freebsd_committer 2016-09-02 04:28:37 UTC
A commit references this bug:

Author: pi
Date: Fri Sep  2 04:27:45 UTC 2016
New revision: 421250
URL: https://svnweb.freebsd.org/changeset/ports/421250

Log:
  deskutils/gnome-contacts: Fix build

  - added missing depends
  - fixed several USE_GNOME aspects
  - NLS option added

  PR:		210971
  Reported by:	lumiwa@gmail.com
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

Changes:
  head/deskutils/gnome-contacts/Makefile
Comment 23 Brooks Davis freebsd_committer 2016-09-02 15:50:12 UTC
This appears to have been fixed.